package com.zipcoder.payment;

public class PayPal implements Payment{

    public long id;
    String payerName;
    String email;

    public PayPal(long id, String payerName, String email) {
        this.id = id;
        this.payerName = payerName;
        this.email = email;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getId(){
        return id;
    }
    public String getPayerName(){
        return payerName;
    }
    public  String getShortDescription(){
        return "PayPal" + " " + payerName + " " + email;

    }

    public int compareTo(Payment o){
        return this.getShortDescription().compareTo(o.getShortDescription());
    }

    }

