package com.zipcoder.payment;

public class CreditCard implements Payment {

    long Id;
    String payerName;
    String number;
    int expiredMonth;
    int expiredYear;


    public CreditCard(long id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.Id = id;
        this.payerName = payerName;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
        this.number = number;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public int getExpiredMonth() {
        return expiredMonth;
    }

    public void setExpiredMonth(int expiredMonth) {
        this.expiredMonth = expiredMonth;
    }

    public int getExpiredYear() {
        return expiredYear;
    }

    public void setExpiredYear(int expiredYear) {
        this.expiredYear = expiredYear;
    }

    public void setId(long id) {
        this.Id = id;
    }

    public long getId() {
        return Id;
    }


    public String getPayerName() {
        return payerName;
    }


    public String getShortDescription() {

        String number1 = number.substring(number.length() - 4);
        return "CC " + payerName + "  " + number1 + " " + Integer.toString(expiredMonth) + "/" + Integer.toString(expiredYear);
    }


    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());
    }
}
