package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CheckTest {

    CreditCard creditCard = new CreditCard(001, "Nira Parikh", "123456789876", 10, 2020);
    Check check = new Check(002, "Nira Parikh", "031100089", "123456789");
    PayPal payPal = new PayPal(003, "Nira Parikh", "angellegna@gmail.com");

    @Test
    public void testGetShortDescription(){
        String expected = "Check Nira Parikh ***6789";
        String actual = check.getShortDescription();
        Assert.assertEquals(expected,actual);
    }


    @Test
    public void testCompareTo_CheckToCC(){
        Assert.assertTrue(check.compareTo(creditCard) > 0);
    }

    @Test
    public void testCompareTo_CheckToPayPal(){
        Assert.assertTrue(check.compareTo(payPal) < 0);

    }

}
