package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CreditCardTest {
    CreditCard creditCard = new CreditCard(001, "Nira Parikh", "123456789876", 10, 2020);
    Check check = new Check(002, "Nira Parikh", "031100089", "123456789");
    PayPal payPal = new PayPal(003, "Nira Parikh", "angellegna@gmail.com");

    @Test
    public void testGetShortDescription(){
        String expected = "CC Nira Parikh  9876 10/2020";
        String actual = creditCard.getShortDescription();

        Assert.assertEquals(expected,actual);
    }
    @Test
    public void testCompareTo_CCToPayPal(){
        Assert.assertTrue(creditCard.compareTo(payPal) < 0);

    }

    @Test
    public void testCompareTo_CCToCheck(){
        Assert.assertTrue(creditCard.compareTo(check) < 0);


    }
}

