package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentSortByPayerTest {
    CreditCard creditCard = new CreditCard(001, "Nira Parikh", "123456789876", 10, 2020);
    Check check = new Check(002, "Nira Parikh", "031100089", "123456789");
    PayPal payPal = new PayPal(003, "Nira Parikh", "angellegna@gmail.com");

    PaymentSortByPayer paymentSortByPayer = new PaymentSortByPayer();


    @Test
    public void testCompare_SameName(){
       Assert.assertTrue(paymentSortByPayer.compare(check, creditCard) == 0);

    }

    @Test
    public void testCompare_SmallerLarger(){

        Assert.assertTrue(paymentSortByPayer.compare(check, payPal) < 0);
    }

    @Test
    public void testCompare_LargerSmaller(){
        Assert.assertTrue(paymentSortByPayer.compare(payPal, creditCard) > 0);

    }

}
